View Issue Details

IDProjectCategoryView StatusLast Update
0033969LazarusIDEpublic2018-08-03 22:33
ReporterMIS5Assigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformmac 64bit cocoa OSOS Version
Product Version1.8.5 (SVN)Product Build12th July 2018 trunk 
Target VersionFixed in Version 
Summary0033969: IDE errors preventing doing anything
DescriptionJust downloaded trunk using fpcupdeluxe- 12th July 2018

Lazarus gives arithmetic error when starting and on many other occasions...

In past solution has sometimes been to rebuild using
"Tools - Build Lazarus with Profile: Normal IDE"

But if I do that I get access violations so... no workaround possible
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

related to 0033970 closed crash when closing cocoa ide / tabs related 

Activities

Mattias Gaertner

2018-07-12 01:07

manager   ~0109387

Can you create a stacktrace?

http://wiki.freepascal.org/Creating_a_Backtrace_with_GDB#Creating_a_Backtrace

MIS5

2018-07-12 13:31

reporter   ~0109408

Last edited: 2018-07-12 13:42

View 4 revisions

-- using lldb as gdb not working properly --

# first error - arithmetic error upon startup (and other places)

Hint: (lazarus) [TBuildManager.SetBuildTarget] Old=x86_64-darwin-cocoa New=x86_64-darwin-cocoa FPC=True LCL=False
NOTE: help options config file not found - using defaults
Process 86252 stopped
* thread 0000001, queue = 'com.apple.main-thread', stop reason = breakpoint 1.1
    frame #0: 0x0000000100012db0 lazarus`FPC_RAISEEXCEPTION
lazarus`FPC_RAISEEXCEPTION:
-> 0x100012db0 <+0>: pushq %rbx
    0x100012db1 <+1>: pushq %r12
    0x100012db3 <+3>: pushq %r13
    0x100012db5 <+5>: movq %rdi, %rbx
Target 0: (lazarus) stopped.
(lldb) bt
* thread 0000001, queue = 'com.apple.main-thread', stop reason = breakpoint 1.1
  * frame #0: 0x0000000100012db0 lazarus`FPC_RAISEEXCEPTION
    frame 0000001: 0x000000010004e73f lazarus`SYSUTILS_$$_RUNERRORTOEXCEPT$LONGINT$POINTER$POINTER + 591
    frame 0000002: 0x00000001000161c3 lazarus`FPC_BREAK_ERROR + 43
    frame 0000003: 0x000000010001625e lazarus`SYSTEM_$$_HANDLEERRORADDRFRAMEIND$LONGINT$POINTER$POINTER + 46
    frame 0000004: 0x0000000100015a41 lazarus`FPC_OVERFLOW + 25
    frame 0000005: 0x000000010031344f lazarus`COCOATABCONTROLS_$$_REMOVEALLTABS$TCOCOATABCONTROL + 63
    frame 0000006: 0x00000001003134ae lazarus`COCOATABCONTROLS_$$_ATTACHALLTABS$TCOCOATABCONTROL + 22
    frame 0000007: 0x0000000100313640 lazarus`COCOATABCONTROLS_$$_REVISETABS$TCOCOATABCONTROL$BOOLEAN$BOOLEAN + 264
    frame 0000008: 0x0000000100313b89 lazarus`COCOATABCONTROLS_$$_UPDATETABANDARROWVISIBILITY$TCOCOATABCONTROL + 33
    frame 0000009: 0x00000001003149c3 lazarus`-[TCocoaTabControl exttabInsertTabViewItem:atIndex:] + 147
    frame 0000010: 0x0000000100308699 lazarus`COCOAWSCOMCTRLS$_$TCOCOAWSCUSTOMTABCONTROL_$__$$_ADDPAGE$TCUSTOMTABCONTROL$TCUSTOMPAGE$LONGINT + 137
    frame 0000011: 0x000000010024a072 lazarus`COMCTRLS$_$TCUSTOMTABCONTROL_$__$$_ADDREMOVEPAGEHANDLE$TCUSTOMPAGE + 202
    frame 0000012: 0x0000000100248fc8 lazarus`COMCTRLS$_$TCUSTOMTABCONTROL_$__$$_CREATEWND + 176
    frame 0000013: 0x00000001002277df lazarus`CONTROLS$_$TWINCONTROL_$__$$_CREATEHANDLE + 39
    frame 0000014: 0x0000000100228dc8 lazarus`CONTROLS$_$TWINCONTROL_$__$$_HANDLENEEDED + 112
    frame 0000015: 0x000000010021fa1a lazarus`CONTROLS$_$TWINCONTROL_$_DOALLAUTOSIZE_$$_CHECKHANDLEALLOCATED$TWINCONTROL$$BOOLEAN + 66
    frame 0000016: 0x000000010021fa7c lazarus`CONTROLS$_$TWINCONTROL_$_DOALLAUTOSIZE_$$_CHECKHANDLEALLOCATED$TWINCONTROL$$BOOLEAN + 164
    frame 0000017: 0x000000010021f639 lazarus`CONTROLS$_$TWINCONTROL_$__$$_DOALLAUTOSIZE + 145
    frame 0000018: 0x00000001002395a2 lazarus`CONTROLS$_$TCONTROL_$__$$_ENABLEAUTOSIZING + 306
    frame 0000019: 0x0000000100236303 lazarus`CONTROLS$_$TCONTROL_$__$$_SETVISIBLE$BOOLEAN + 419
    frame 0000020: 0x000000010005a4a1 lazarus`FORMS$_$TCUSTOMFORM_$__$$_SETVISIBLE$BOOLEAN + 113
    frame 0000021: 0x000000010005f240 lazarus`FORMS$_$TCUSTOMFORM_$__$$_SHOWONTOP + 56
    frame 0000022: 0x000000010047ea94 lazarus`IDEWINDOWINTF$_$TSIMPLEWINDOWLAYOUTLIST_$__$$_APPLYANDSHOW$crc11A3EF49 + 1292
    frame 0000023: 0x0000000100480e48 lazarus`IDEWINDOWINTF$_$TIDEWINDOWCREATORLIST_$__$$_SHOWFORM$TCUSTOMFORM$BOOLEAN$TLAYOUTMOVETOVISBLEMODE + 448
    frame 0000024: 0x0000000100481105 lazarus`IDEWINDOWINTF$_$TIDEWINDOWCREATORLIST_$__$$_RESTORESIMPLELAYOUT + 269
    frame 0000025: 0x00000001006cb1ac lazarus`RESTOREDESKTOP(this=0x00000001038d49c0) at environmentopts.pp:1508
    frame 0000026: 0x0000000100081cb3 lazarus`RESTOREIDEWINDOWS(this=0x000000010893a910) at main.pp:2468
    frame 0000027: 0x000000010007df02 lazarus`STARTIDE(this=0x000000010893a910) at main.pp:1623
    frame 0000028: 0x0000000100001346 lazarus`PASCALMAIN at lazarus.pp:146
    frame 0000029: 0x00000001000210cc lazarus`FPC_SysEntry + 12
    frame 0000030: 0x00000001000010fe lazarus`FPC_SYSTEMMAIN + 54
    frame 0000031: 0x0000000100001146 lazarus`main(ARGC=1, ARGV=0x00007ffeefbffa28, ARGP=0x00007ffeefbffa38) + 38
    frame 0000032: 0x00000001000010a4 lazarus`start + 52
(lldb)

...

TApplication.HandleException: EIntOverflow
Arithmetic overflow
  Stack trace:
  $000000010031344F
  $00000001003134AE
  $0000000100313640
  $0000000100313B89
  $00000001003149C3
  $0000000100308699
  $000000010024A072
  $0000000100248FC8
  $00000001002277DF
  $0000000100228DC8
  $000000010021FA1A
  $000000010021FA7C
  $000000010021F639
  $00000001002395A2
  $0000000100236303
  $000000010005A4A1
  $000000010005F240

MIS5

2018-07-12 13:36

reporter   ~0109409

Last edited: 2018-07-12 13:43

View 2 revisions

-- using lldb as gdb not working properly --

# second error - access violation when building IDE with normal profile


error: sourcefilemanager.o {0x000735f1}: unhandled type tag 0x0020 (DW_TAG_set_type), please file a bug and attach the file at the start of this error message
Process 86252 stopped
* thread 0000001, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
    frame #0: 0x00000001007831d0 lazarus`SAVEPROJECT(this=0x000000010bed24c0, FLAGS=<unavailable>) at sourcefilemanager.pas:4286
   4283
   4284 // if this is a virtual project then save first the project info file
   4285 // to get a project directory
-> 4286 if Project1.IsVirtual and ([sfSaveToTestDir,sfDoNotSaveVirtualFiles]*Flags=[])
   4287 then begin
   4288 Result:=SaveProjectInfo(Flags);
   4289 if Result in [mrCancel,mrAbort] then exit;
Target 0: (lazarus) stopped.

error: sourcefilemanager.o {0x000735f1}: unhandled type tag 0x0020 (DW_TAG_set_type), please file a bug and attach the file at the start of this error message
error: main.o {0x000a26e2}: unhandled type tag 0x0020 (DW_TAG_set_type), please file a bug and attach the file at the start of this error message

* thread 0000001, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
  * frame #0: 0x00000001007831d0 lazarus`SAVEPROJECT(this=0x000000010bed24c0, FLAGS=<unavailable>) at sourcefilemanager.pas:4286
    frame 0000001: 0x0000000100091fb7 lazarus`DOSAVEPROJECT(this=0x000000010893a910, FLAGS=<unavailable>) at main.pp:6268
    frame 0000002: 0x000000010008fcc4 lazarus`DOSAVEALL(this=0x000000010893a910, FLAGS=<unavailable>) at main.pp:5647
    frame 0000003: 0x000000010009783a lazarus`DOBUILDLAZARUSSUB(this=0x000000010893a910, FLAGS=<unavailable>) at main.pp:7545
    frame 0000004: 0x0000000100097dcd lazarus`DOBUILDLAZARUS(this=0x000000010893a910, FLAGS=<unavailable>) at main.pp:7648
    frame 0000005: 0x000000010008b8fb lazarus`MNUTOOLBUILDLAZARUSCLICKED(this=0x000000010893a910, SENDER=0x000000010a9f5540) at main.pp:4586
    frame 0000006: 0x00000001004995a7 lazarus`MENUINTF$_$TIDEMENUITEM_$__$$_MENUITEMCLICK$TOBJECT + 47
    frame 0000007: 0x000000010049d360 lazarus`MENUINTF$_$TIDEMENUCOMMAND_$__$$_MENUITEMCLICK$TOBJECT + 32
    frame 0000008: 0x0000000100242761 lazarus`MENUS$_$TMENUITEM_$__$$_CLICK + 273
    frame 0000009: 0x0000000100243008 lazarus`MENUS$_$TMENUITEM_$__$$_DOCLICKED$formal + 56
    frame 0000010: 0x0000000100011e8e lazarus`SYSTEM$_$TOBJECT_$__$$_DISPATCH$formal + 166
    frame 0000011: 0x000000010020f7a1 lazarus`LCLMESSAGEGLUE_$$_DELIVERMESSAGE$TOBJECT$formal$$INT64 + 249
    frame 0000012: 0x00000001002070d8 lazarus`COCOAWSMENUS$_$TLCLMENUITEMCALLBACK_$__$$_ITEMSELECTED + 56
    frame 0000013: 0x0000000100207572 lazarus`-[TCocoaMenuItem lclItemSelected:] + 66
    frame 0000014: 0x00007fff453d6a43 AppKit`-[NSApplication(NSResponder) sendAction:to:from:] + 312
    frame 0000015: 0x00007fff44e6b213 AppKit`-[NSMenuItem _corePerformAction] + 323
    frame 0000016: 0x00007fff44e6af9b AppKit`-[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 114
    frame 0000017: 0x00007fff44ef0c7a AppKit`-[NSMenu performActionForItemAtIndex:] + 133
    frame 0000018: 0x00007fff44ef0be5 AppKit`-[NSMenu _internalPerformActionForItemAtIndex:] + 94
    frame 0000019: 0x00007fff44ef0a15 AppKit`-[NSCarbonMenuImpl _carbonCommandProcessEvent:handlerCallRef:] + 106
    frame 0000020: 0x00007fff44db72a2 AppKit`NSSLMMenuEventHandler + 882
    frame 0000021: 0x00007fff46965904 HIToolbox`DispatchEventToHandlers(EventTargetRec*, OpaqueEventRef*, HandlerCallRec*) + 1541
    frame 0000022: 0x00007fff46964c4d HIToolbox`SendEventToEventTargetInternal(OpaqueEventRef*, OpaqueEventTargetRef*, HandlerCallRec*) + 374
    frame 0000023: 0x00007fff46979f21 HIToolbox`SendEventToEventTarget + 39
    frame 0000024: 0x00007fff469c33f9 HIToolbox`SendHICommandEvent(unsigned int, HICommand const*, unsigned int, unsigned int, unsigned char, void const*, OpaqueEventTargetRef*, OpaqueEventTargetRef*, OpaqueEventRef**) + 411
    frame 0000025: 0x00007fff469ec2ee HIToolbox`SendMenuCommandWithContextAndModifiers + 49
    frame 0000026: 0x00007fff469ec2aa HIToolbox`SendMenuItemSelectedEvent + 188
    frame 0000027: 0x00007fff469ec184 HIToolbox`FinishMenuSelection(SelectionData*, MenuResult*, MenuResult*) + 96
    frame 0000028: 0x00007fff469ecb26 HIToolbox`MenuSelectCore(MenuData*, Point, double, unsigned int, OpaqueMenuRef**, unsigned short*) + 559
    frame 0000029: 0x00007fff469ec866 HIToolbox`_HandleMenuSelection2 + 472
    frame 0000030: 0x00007fff44da8acf AppKit`_NSHandleCarbonMenuEvent + 244
    frame 0000031: 0x00007fff45002dde AppKit`_DPSEventHandledByCarbon + 54
    frame 0000032: 0x00007fff453d45e2 AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 914
    frame 0000033: 0x00000001001edb27 lazarus`COCOAINT$_$TCOCOAWIDGETSET_$__$$_APPPROCESSMESSAGES + 103
    frame 0000034: 0x00000001000683ed lazarus`FORMS$_$TAPPLICATION_$__$$_HANDLEMESSAGE + 45
    frame 0000035: 0x000000010006892f lazarus`FORMS$_$TAPPLICATION_$__$$_RUNLOOP + 79
    frame 0000036: 0x00000001001ed7c7 lazarus`-[TCocoaApplication run] + 71
    frame 0000037: 0x00000001001edaba lazarus`COCOAINT$_$TCOCOAWIDGETSET_$__$$_APPRUN$TAPPLICATIONMAINLOOP + 106
    frame 0000038: 0x00000001000688d7 lazarus`FORMS$_$TAPPLICATION_$__$$_RUN + 95
    frame 0000039: 0x00000001000013f6 lazarus`PASCALMAIN at lazarus.pp:153
    frame 0000040: 0x00000001000210cc lazarus`FPC_SysEntry + 12
    frame 0000041: 0x00000001000010fe lazarus`FPC_SYSTEMMAIN + 54
    frame 0000042: 0x0000000100001146 lazarus`main(ARGC=1, ARGV=0x00007ffeefbffa28, ARGP=0x00007ffeefbffa38) + 38
    frame 0000043: 0x00000001000010a4 lazarus`start + 52

...


* thread 0000001, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x0)
    frame #0: 0x00000001007831d0 lazarus`SAVEPROJECT(this=0x000000010bed24c0, FLAGS=<unavailable>) at sourcefilemanager.pas:4286
   4283
   4284 // if this is a virtual project then save first the project info file
   4285 // to get a project directory
-> 4286 if Project1.IsVirtual and ([sfSaveToTestDir,sfDoNotSaveVirtualFiles]*Flags=[])
   4287 then begin
   4288 Result:=SaveProjectInfo(Flags);
   4289 if Result in [mrCancel,mrAbort] then exit;
Target 0: (lazarus) stopped.

Dmitry Boyarintsev

2018-07-22 20:53

developer   ~0109638

please test and close if ok

MIS5

2018-08-03 22:33

reporter   ~0109866

I am getting the same problems... arithmetic error upon startup and access violations when building the IDE. Should I reopen this/post here or make a new report?

Issue History

Date Modified Username Field Change
2018-07-12 00:37 MIS5 New Issue
2018-07-12 01:07 Mattias Gaertner Note Added: 0109387
2018-07-12 13:31 MIS5 Note Added: 0109408
2018-07-12 13:31 MIS5 Note Edited: 0109408 View Revisions
2018-07-12 13:32 MIS5 Note Edited: 0109408 View Revisions
2018-07-12 13:36 MIS5 Note Added: 0109409
2018-07-12 13:42 MIS5 Note Edited: 0109408 View Revisions
2018-07-12 13:43 MIS5 Note Edited: 0109409 View Revisions
2018-07-12 14:06 Martin Friebe Relationship added related to 0033970
2018-07-22 20:53 Dmitry Boyarintsev LazTarget => -
2018-07-22 20:53 Dmitry Boyarintsev Note Added: 0109638
2018-07-22 20:53 Dmitry Boyarintsev Status new => resolved
2018-07-22 20:53 Dmitry Boyarintsev Resolution open => fixed
2018-07-22 20:53 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2018-08-03 22:33 MIS5 Note Added: 0109866